using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace WWWings_GUI_SL5.Utilities
{
  public class SelectableItem : Item
  {
    private bool isSelected;

    public bool IsSelected
    {
      get { return isSelected; }
      set
      {
        isSelected = value; OnPropertyChanged("IsSelected");
        if (IsSelectedChanged != null) IsSelectedChanged(this, EventArgs.Empty);

      }
    }

    public event EventHandler IsSelectedChanged;

  }
}
